Index: terepaima-0.4.16/moc/moc_miscellaneous.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_miscellaneous.cpp	(revision 1487f05dbbaee1f4def7af3890c76efff5e0d60e)
+++ terepaima-0.4.16/moc/moc_miscellaneous.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'miscellaneous.h'
 **
-** Created by: The Qt Meta Object Compiler version 67 (Qt 5.7.1)
+** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,10 +8,8 @@
 
 #include "../sources/miscellaneous.h"
-#include <QtCore/qbytearray.h>
-#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'miscellaneous.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 67
-#error "This file was generated using the moc from 5.7.1. It"
+#elif Q_MOC_OUTPUT_REVISION != 63
+#error "This file was generated using the moc from 4.8.6. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -19,26 +17,8 @@
 
 QT_BEGIN_MOC_NAMESPACE
-struct qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect_t {
-    QByteArrayData data[1];
-    char stringdata0[40];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect_t qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect = {
-    {
-QT_MOC_LITERAL(0, 0, 39) // "qpdfview::GraphicsComposition..."
-
-    },
-    "qpdfview::GraphicsCompositionModeEffect"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__GraphicsCompositionModeEffect[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -51,4 +31,8 @@
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect[] = {
+    "qpdfview::GraphicsCompositionModeEffect\0"
 };
 
@@ -61,19 +45,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::GraphicsCompositionModeEffect::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::GraphicsCompositionModeEffect::staticMetaObject = {
-    { &QGraphicsEffect::staticMetaObject, qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect.data,
-      qt_meta_data_qpdfview__GraphicsCompositionModeEffect,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QGraphicsEffect::staticMetaObject, qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect,
+      qt_meta_data_qpdfview__GraphicsCompositionModeEffect, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::GraphicsCompositionModeEffect::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::GraphicsCompositionModeEffect::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::GraphicsCompositionModeEffect::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__GraphicsCompositionModeEffect))
         return static_cast<void*>(const_cast< GraphicsCompositionModeEffect*>(this));
     return QGraphicsEffect::qt_metacast(_clname);
@@ -87,26 +78,8 @@
     return _id;
 }
-struct qt_meta_stringdata_qpdfview__ProxyStyle_t {
-    QByteArrayData data[1];
-    char stringdata0[21];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__ProxyStyle_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__ProxyStyle_t qt_meta_stringdata_qpdfview__ProxyStyle = {
-    {
-QT_MOC_LITERAL(0, 0, 20) // "qpdfview::ProxyStyle"
-
-    },
-    "qpdfview::ProxyStyle"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__ProxyStyle[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -119,4 +92,8 @@
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__ProxyStyle[] = {
+    "qpdfview::ProxyStyle\0"
 };
 
@@ -129,19 +106,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::ProxyStyle::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::ProxyStyle::staticMetaObject = {
-    { &QProxyStyle::staticMetaObject, qt_meta_stringdata_qpdfview__ProxyStyle.data,
-      qt_meta_data_qpdfview__ProxyStyle,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QProxyStyle::staticMetaObject, qt_meta_stringdata_qpdfview__ProxyStyle,
+      qt_meta_data_qpdfview__ProxyStyle, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::ProxyStyle::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::ProxyStyle::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::ProxyStyle::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ProxyStyle.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ProxyStyle))
         return static_cast<void*>(const_cast< ProxyStyle*>(this));
     return QProxyStyle::qt_metacast(_clname);
@@ -155,26 +139,8 @@
     return _id;
 }
-struct qt_meta_stringdata_qpdfview__SearchableMenu_t {
-    QByteArrayData data[1];
-    char stringdata0[25];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__SearchableMenu_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__SearchableMenu_t qt_meta_stringdata_qpdfview__SearchableMenu = {
-    {
-QT_MOC_LITERAL(0, 0, 24) // "qpdfview::SearchableMenu"
-
-    },
-    "qpdfview::SearchableMenu"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__SearchableMenu[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -187,4 +153,8 @@
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__SearchableMenu[] = {
+    "qpdfview::SearchableMenu\0"
 };
 
@@ -197,19 +167,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::SearchableMenu::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::SearchableMenu::staticMetaObject = {
-    { &QMenu::staticMetaObject, qt_meta_stringdata_qpdfview__SearchableMenu.data,
-      qt_meta_data_qpdfview__SearchableMenu,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QMenu::staticMetaObject, qt_meta_stringdata_qpdfview__SearchableMenu,
+      qt_meta_data_qpdfview__SearchableMenu, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::SearchableMenu::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::SearchableMenu::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::SearchableMenu::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SearchableMenu.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SearchableMenu))
         return static_cast<void*>(const_cast< SearchableMenu*>(this));
     return QMenu::qt_metacast(_clname);
@@ -223,26 +200,8 @@
     return _id;
 }
-struct qt_meta_stringdata_qpdfview__TabBar_t {
-    QByteArrayData data[1];
-    char stringdata0[17];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__TabBar_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__TabBar_t qt_meta_stringdata_qpdfview__TabBar = {
-    {
-QT_MOC_LITERAL(0, 0, 16) // "qpdfview::TabBar"
-
-    },
-    "qpdfview::TabBar"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__TabBar[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -255,4 +214,8 @@
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__TabBar[] = {
+    "qpdfview::TabBar\0"
 };
 
@@ -265,19 +228,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::TabBar::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::TabBar::staticMetaObject = {
-    { &QTabBar::staticMetaObject, qt_meta_stringdata_qpdfview__TabBar.data,
-      qt_meta_data_qpdfview__TabBar,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QTabBar::staticMetaObject, qt_meta_stringdata_qpdfview__TabBar,
+      qt_meta_data_qpdfview__TabBar, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::TabBar::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::TabBar::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::TabBar::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__TabBar.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__TabBar))
         return static_cast<void*>(const_cast< TabBar*>(this));
     return QTabBar::qt_metacast(_clname);
@@ -291,34 +261,8 @@
     return _id;
 }
-struct qt_meta_stringdata_qpdfview__TabWidget_t {
-    QByteArrayData data[7];
-    char stringdata0[102];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__TabWidget_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__TabWidget_t qt_meta_stringdata_qpdfview__TabWidget = {
-    {
-QT_MOC_LITERAL(0, 0, 19), // "qpdfview::TabWidget"
-QT_MOC_LITERAL(1, 20, 23), // "tabContextMenuRequested"
-QT_MOC_LITERAL(2, 44, 0), // ""
-QT_MOC_LITERAL(3, 45, 9), // "globalPos"
-QT_MOC_LITERAL(4, 55, 5), // "index"
-QT_MOC_LITERAL(5, 61, 36), // "on_tabBar_customContextMenuRe..."
-QT_MOC_LITERAL(6, 98, 3) // "pos"
-
-    },
-    "qpdfview::TabWidget\0tabContextMenuRequested\0"
-    "\0globalPos\0index\0on_tabBar_customContextMenuRequested\0"
-    "pos"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__TabWidget[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -330,17 +274,17 @@
        1,       // signalCount
 
- // signals: name, argc, parameters, tag, flags
-       1,    2,   24,    2, 0x06 /* Public */,
-
- // slots: name, argc, parameters, tag, flags
-       5,    1,   29,    2, 0x09 /* Protected */,
-
- // signals: parameters
-    QMetaType::Void, QMetaType::QPoint, QMetaType::Int,    3,    4,
-
- // slots: parameters
-    QMetaType::Void, QMetaType::QPoint,    6,
-
-       0        // eod
+ // signals: signature, parameters, type, tag, flags
+      37,   21,   20,   20, 0x05,
+
+ // slots: signature, parameters, type, tag, flags
+      77,   73,   20,   20, 0x09,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__TabWidget[] = {
+    "qpdfview::TabWidget\0\0globalPos,index\0"
+    "tabContextMenuRequested(QPoint,int)\0"
+    "pos\0on_tabBar_customContextMenuRequested(QPoint)\0"
 };
 
@@ -348,6 +292,6 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         TabWidget *_t = static_cast<TabWidget *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->tabContextMenuRequested((*reinterpret_cast< const QPoint(*)>(_a[1])),(*reinterpret_cast< int(*)>(_a[2]))); break;
@@ -355,32 +299,29 @@
         default: ;
         }
-    } else if (_c == QMetaObject::IndexOfMethod) {
-        int *result = reinterpret_cast<int *>(_a[0]);
-        void **func = reinterpret_cast<void **>(_a[1]);
-        {
-            typedef void (TabWidget::*_t)(const QPoint & , int );
-            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&TabWidget::tabContextMenuRequested)) {
-                *result = 0;
-                return;
-            }
-        }
-    }
-}
+    }
+}
+
+const QMetaObjectExtraData qpdfview::TabWidget::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
 
 const QMetaObject qpdfview::TabWidget::staticMetaObject = {
-    { &QTabWidget::staticMetaObject, qt_meta_stringdata_qpdfview__TabWidget.data,
-      qt_meta_data_qpdfview__TabWidget,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QTabWidget::staticMetaObject, qt_meta_stringdata_qpdfview__TabWidget,
+      qt_meta_data_qpdfview__TabWidget, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::TabWidget::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::TabWidget::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::TabWidget::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__TabWidget.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__TabWidget))
         return static_cast<void*>(const_cast< TabWidget*>(this));
     return QTabWidget::qt_metacast(_clname);
@@ -396,8 +337,4 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 2;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 2)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 2;
     }
     return _id;
@@ -407,45 +344,11 @@
 void qpdfview::TabWidget::tabContextMenuRequested(const QPoint & _t1, int _t2)
 {
-    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)) };
+    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)) };
     QMetaObject::activate(this, &staticMetaObject, 0, _a);
 }
-struct qt_meta_stringdata_qpdfview__TreeView_t {
-    QByteArrayData data[14];
-    char stringdata0[160];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__TreeView_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__TreeView_t qt_meta_stringdata_qpdfview__TreeView = {
-    {
-QT_MOC_LITERAL(0, 0, 18), // "qpdfview::TreeView"
-QT_MOC_LITERAL(1, 19, 11), // "expandAbove"
-QT_MOC_LITERAL(2, 31, 0), // ""
-QT_MOC_LITERAL(3, 32, 5), // "child"
-QT_MOC_LITERAL(4, 38, 9), // "expandAll"
-QT_MOC_LITERAL(5, 48, 5), // "index"
-QT_MOC_LITERAL(6, 54, 11), // "collapseAll"
-QT_MOC_LITERAL(7, 66, 13), // "expandedDepth"
-QT_MOC_LITERAL(8, 80, 13), // "expandToDepth"
-QT_MOC_LITERAL(9, 94, 5), // "depth"
-QT_MOC_LITERAL(10, 100, 17), // "collapseFromDepth"
-QT_MOC_LITERAL(11, 118, 16), // "restoreExpansion"
-QT_MOC_LITERAL(12, 135, 11), // "on_expanded"
-QT_MOC_LITERAL(13, 147, 12) // "on_collapsed"
-
-    },
-    "qpdfview::TreeView\0expandAbove\0\0child\0"
-    "expandAll\0index\0collapseAll\0expandedDepth\0"
-    "expandToDepth\0depth\0collapseFromDepth\0"
-    "restoreExpansion\0on_expanded\0on_collapsed"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__TreeView[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -457,33 +360,32 @@
        0,       // signalCount
 
- // slots: name, argc, parameters, tag, flags
-       1,    1,   74,    2, 0x0a /* Public */,
-       4,    1,   77,    2, 0x0a /* Public */,
-       4,    0,   80,    2, 0x2a /* Public | MethodCloned */,
-       6,    1,   81,    2, 0x0a /* Public */,
-       6,    0,   84,    2, 0x2a /* Public | MethodCloned */,
-       7,    1,   85,    2, 0x0a /* Public */,
-       8,    2,   88,    2, 0x0a /* Public */,
-      10,    2,   93,    2, 0x0a /* Public */,
-      11,    1,   98,    2, 0x0a /* Public */,
-      11,    0,  101,    2, 0x2a /* Public | MethodCloned */,
-      12,    1,  102,    2, 0x09 /* Protected */,
-      13,    1,  105,    2, 0x09 /* Protected */,
-
- // slots: parameters
-    QMetaType::Void, QMetaType::QModelIndex,    3,
-    QMetaType::Void, QMetaType::QModelIndex,    5,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::QModelIndex,    5,
-    QMetaType::Void,
-    QMetaType::Int, QMetaType::QModelIndex,    5,
-    QMetaType::Void, QMetaType::QModelIndex, QMetaType::Int,    5,    9,
-    QMetaType::Void, QMetaType::QModelIndex, QMetaType::Int,    5,    9,
-    QMetaType::Void, QMetaType::QModelIndex,    5,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::QModelIndex,    5,
-    QMetaType::Void, QMetaType::QModelIndex,    5,
-
-       0        // eod
+ // slots: signature, parameters, type, tag, flags
+      26,   20,   19,   19, 0x0a,
+      57,   51,   19,   19, 0x0a,
+      80,   19,   19,   19, 0x2a,
+      92,   51,   19,   19, 0x0a,
+     117,   19,   19,   19, 0x2a,
+     135,   51,  131,   19, 0x0a,
+     174,  162,   19,   19, 0x0a,
+     205,  162,   19,   19, 0x0a,
+     240,   51,   19,   19, 0x0a,
+     270,   19,   19,   19, 0x2a,
+     289,   51,   19,   19, 0x09,
+     314,   51,   19,   19, 0x09,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__TreeView[] = {
+    "qpdfview::TreeView\0\0child\0"
+    "expandAbove(QModelIndex)\0index\0"
+    "expandAll(QModelIndex)\0expandAll()\0"
+    "collapseAll(QModelIndex)\0collapseAll()\0"
+    "int\0expandedDepth(QModelIndex)\0"
+    "index,depth\0expandToDepth(QModelIndex,int)\0"
+    "collapseFromDepth(QModelIndex,int)\0"
+    "restoreExpansion(QModelIndex)\0"
+    "restoreExpansion()\0on_expanded(QModelIndex)\0"
+    "on_collapsed(QModelIndex)\0"
 };
 
@@ -491,6 +393,6 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         TreeView *_t = static_cast<TreeView *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->expandAbove((*reinterpret_cast< const QModelIndex(*)>(_a[1]))); break;
@@ -512,19 +414,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::TreeView::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::TreeView::staticMetaObject = {
-    { &QTreeView::staticMetaObject, qt_meta_stringdata_qpdfview__TreeView.data,
-      qt_meta_data_qpdfview__TreeView,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QTreeView::staticMetaObject, qt_meta_stringdata_qpdfview__TreeView,
+      qt_meta_data_qpdfview__TreeView, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::TreeView::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::TreeView::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::TreeView::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__TreeView.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__TreeView))
         return static_cast<void*>(const_cast< TreeView*>(this));
     return QTreeView::qt_metacast(_clname);
@@ -540,33 +449,11 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 12;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 12)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 12;
-    }
-    return _id;
-}
-struct qt_meta_stringdata_qpdfview__LineEdit_t {
-    QByteArrayData data[1];
-    char stringdata0[19];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__LineEdit_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__LineEdit_t qt_meta_stringdata_qpdfview__LineEdit = {
-    {
-QT_MOC_LITERAL(0, 0, 18) // "qpdfview::LineEdit"
-
-    },
-    "qpdfview::LineEdit"
-};
-#undef QT_MOC_LITERAL
-
+    }
+    return _id;
+}
 static const uint qt_meta_data_qpdfview__LineEdit[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -579,4 +466,8 @@
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__LineEdit[] = {
+    "qpdfview::LineEdit\0"
 };
 
@@ -589,19 +480,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::LineEdit::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::LineEdit::staticMetaObject = {
-    { &QLineEdit::staticMetaObject, qt_meta_stringdata_qpdfview__LineEdit.data,
-      qt_meta_data_qpdfview__LineEdit,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QLineEdit::staticMetaObject, qt_meta_stringdata_qpdfview__LineEdit,
+      qt_meta_data_qpdfview__LineEdit, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::LineEdit::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::LineEdit::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::LineEdit::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__LineEdit.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__LineEdit))
         return static_cast<void*>(const_cast< LineEdit*>(this));
     return QLineEdit::qt_metacast(_clname);
@@ -615,26 +513,8 @@
     return _id;
 }
-struct qt_meta_stringdata_qpdfview__ComboBox_t {
-    QByteArrayData data[1];
-    char stringdata0[19];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__ComboBox_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__ComboBox_t qt_meta_stringdata_qpdfview__ComboBox = {
-    {
-QT_MOC_LITERAL(0, 0, 18) // "qpdfview::ComboBox"
-
-    },
-    "qpdfview::ComboBox"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__ComboBox[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -647,4 +527,8 @@
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__ComboBox[] = {
+    "qpdfview::ComboBox\0"
 };
 
@@ -657,19 +541,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::ComboBox::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::ComboBox::staticMetaObject = {
-    { &QComboBox::staticMetaObject, qt_meta_stringdata_qpdfview__ComboBox.data,
-      qt_meta_data_qpdfview__ComboBox,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QComboBox::staticMetaObject, qt_meta_stringdata_qpdfview__ComboBox,
+      qt_meta_data_qpdfview__ComboBox, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::ComboBox::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::ComboBox::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::ComboBox::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ComboBox.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ComboBox))
         return static_cast<void*>(const_cast< ComboBox*>(this));
     return QComboBox::qt_metacast(_clname);
@@ -683,28 +574,8 @@
     return _id;
 }
-struct qt_meta_stringdata_qpdfview__SpinBox_t {
-    QByteArrayData data[3];
-    char stringdata0[33];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__SpinBox_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__SpinBox_t qt_meta_stringdata_qpdfview__SpinBox = {
-    {
-QT_MOC_LITERAL(0, 0, 17), // "qpdfview::SpinBox"
-QT_MOC_LITERAL(1, 18, 13), // "returnPressed"
-QT_MOC_LITERAL(2, 32, 0) // ""
-
-    },
-    "qpdfview::SpinBox\0returnPressed\0"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__SpinBox[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -716,11 +587,12 @@
        1,       // signalCount
 
- // signals: name, argc, parameters, tag, flags
-       1,    0,   19,    2, 0x06 /* Public */,
-
- // signals: parameters
-    QMetaType::Void,
-
-       0        // eod
+ // signals: signature, parameters, type, tag, flags
+      19,   18,   18,   18, 0x05,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__SpinBox[] = {
+    "qpdfview::SpinBox\0\0returnPressed()\0"
 };
 
@@ -728,39 +600,36 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         SpinBox *_t = static_cast<SpinBox *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->returnPressed(); break;
         default: ;
         }
-    } else if (_c == QMetaObject::IndexOfMethod) {
-        int *result = reinterpret_cast<int *>(_a[0]);
-        void **func = reinterpret_cast<void **>(_a[1]);
-        {
-            typedef void (SpinBox::*_t)();
-            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&SpinBox::returnPressed)) {
-                *result = 0;
-                return;
-            }
-        }
     }
     Q_UNUSED(_a);
 }
 
+const QMetaObjectExtraData qpdfview::SpinBox::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::SpinBox::staticMetaObject = {
-    { &QSpinBox::staticMetaObject, qt_meta_stringdata_qpdfview__SpinBox.data,
-      qt_meta_data_qpdfview__SpinBox,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QSpinBox::staticMetaObject, qt_meta_stringdata_qpdfview__SpinBox,
+      qt_meta_data_qpdfview__SpinBox, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::SpinBox::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::SpinBox::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::SpinBox::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SpinBox.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SpinBox))
         return static_cast<void*>(const_cast< SpinBox*>(this));
     return QSpinBox::qt_metacast(_clname);
@@ -776,8 +645,4 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 1;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 1)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 1;
     }
     return _id;
@@ -787,28 +652,10 @@
 void qpdfview::SpinBox::returnPressed()
 {
-    QMetaObject::activate(this, &staticMetaObject, 0, Q_NULLPTR);
-}
-struct qt_meta_stringdata_qpdfview__MappingSpinBox_t {
-    QByteArrayData data[1];
-    char stringdata0[25];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__MappingSpinBox_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__MappingSpinBox_t qt_meta_stringdata_qpdfview__MappingSpinBox = {
-    {
-QT_MOC_LITERAL(0, 0, 24) // "qpdfview::MappingSpinBox"
-
-    },
-    "qpdfview::MappingSpinBox"
-};
-#undef QT_MOC_LITERAL
-
+    QMetaObject::activate(this, &staticMetaObject, 0, 0);
+}
 static const uint qt_meta_data_qpdfview__MappingSpinBox[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -821,4 +668,8 @@
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__MappingSpinBox[] = {
+    "qpdfview::MappingSpinBox\0"
 };
 
@@ -831,19 +682,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::MappingSpinBox::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::MappingSpinBox::staticMetaObject = {
-    { &SpinBox::staticMetaObject, qt_meta_stringdata_qpdfview__MappingSpinBox.data,
-      qt_meta_data_qpdfview__MappingSpinBox,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &SpinBox::staticMetaObject, qt_meta_stringdata_qpdfview__MappingSpinBox,
+      qt_meta_data_qpdfview__MappingSpinBox, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::MappingSpinBox::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::MappingSpinBox::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::MappingSpinBox::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__MappingSpinBox.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__MappingSpinBox))
         return static_cast<void*>(const_cast< MappingSpinBox*>(this));
     return SpinBox::qt_metacast(_clname);
@@ -857,31 +715,8 @@
     return _id;
 }
-struct qt_meta_stringdata_qpdfview__ProgressLineEdit_t {
-    QByteArrayData data[5];
-    char stringdata0[74];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__ProgressLineEdit_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__ProgressLineEdit_t qt_meta_stringdata_qpdfview__ProgressLineEdit = {
-    {
-QT_MOC_LITERAL(0, 0, 26), // "qpdfview::ProgressLineEdit"
-QT_MOC_LITERAL(1, 27, 13), // "returnPressed"
-QT_MOC_LITERAL(2, 41, 0), // ""
-QT_MOC_LITERAL(3, 42, 21), // "Qt::KeyboardModifiers"
-QT_MOC_LITERAL(4, 64, 9) // "modifiers"
-
-    },
-    "qpdfview::ProgressLineEdit\0returnPressed\0"
-    "\0Qt::KeyboardModifiers\0modifiers"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__ProgressLineEdit[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -893,11 +728,13 @@
        1,       // signalCount
 
- // signals: name, argc, parameters, tag, flags
-       1,    1,   19,    2, 0x06 /* Public */,
-
- // signals: parameters
-    QMetaType::Void, 0x80000000 | 3,    4,
-
-       0        // eod
+ // signals: signature, parameters, type, tag, flags
+      38,   28,   27,   27, 0x05,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__ProgressLineEdit[] = {
+    "qpdfview::ProgressLineEdit\0\0modifiers\0"
+    "returnPressed(Qt::KeyboardModifiers)\0"
 };
 
@@ -905,38 +742,35 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         ProgressLineEdit *_t = static_cast<ProgressLineEdit *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->returnPressed((*reinterpret_cast< const Qt::KeyboardModifiers(*)>(_a[1]))); break;
         default: ;
         }
-    } else if (_c == QMetaObject::IndexOfMethod) {
-        int *result = reinterpret_cast<int *>(_a[0]);
-        void **func = reinterpret_cast<void **>(_a[1]);
-        {
-            typedef void (ProgressLineEdit::*_t)(const Qt::KeyboardModifiers & );
-            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&ProgressLineEdit::returnPressed)) {
-                *result = 0;
-                return;
-            }
-        }
-    }
-}
+    }
+}
+
+const QMetaObjectExtraData qpdfview::ProgressLineEdit::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
 
 const QMetaObject qpdfview::ProgressLineEdit::staticMetaObject = {
-    { &QLineEdit::staticMetaObject, qt_meta_stringdata_qpdfview__ProgressLineEdit.data,
-      qt_meta_data_qpdfview__ProgressLineEdit,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &QLineEdit::staticMetaObject, qt_meta_stringdata_qpdfview__ProgressLineEdit,
+      qt_meta_data_qpdfview__ProgressLineEdit, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::ProgressLineEdit::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::ProgressLineEdit::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::ProgressLineEdit::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ProgressLineEdit.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ProgressLineEdit))
         return static_cast<void*>(const_cast< ProgressLineEdit*>(this));
     return QLineEdit::qt_metacast(_clname);
@@ -952,8 +786,4 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 1;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 1)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 1;
     }
     return _id;
@@ -963,43 +793,11 @@
 void qpdfview::ProgressLineEdit::returnPressed(const Qt::KeyboardModifiers & _t1)
 {
-    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
+    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
     QMetaObject::activate(this, &staticMetaObject, 0, _a);
 }
-struct qt_meta_stringdata_qpdfview__SearchLineEdit_t {
-    QByteArrayData data[12];
-    char stringdata0[149];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__SearchLineEdit_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__SearchLineEdit_t qt_meta_stringdata_qpdfview__SearchLineEdit = {
-    {
-QT_MOC_LITERAL(0, 0, 24), // "qpdfview::SearchLineEdit"
-QT_MOC_LITERAL(1, 25, 15), // "searchInitiated"
-QT_MOC_LITERAL(2, 41, 0), // ""
-QT_MOC_LITERAL(3, 42, 4), // "text"
-QT_MOC_LITERAL(4, 47, 8), // "modified"
-QT_MOC_LITERAL(5, 56, 11), // "startSearch"
-QT_MOC_LITERAL(6, 68, 10), // "startTimer"
-QT_MOC_LITERAL(7, 79, 9), // "stopTimer"
-QT_MOC_LITERAL(8, 89, 10), // "on_timeout"
-QT_MOC_LITERAL(9, 100, 16), // "on_returnPressed"
-QT_MOC_LITERAL(10, 117, 21), // "Qt::KeyboardModifiers"
-QT_MOC_LITERAL(11, 139, 9) // "modifiers"
-
-    },
-    "qpdfview::SearchLineEdit\0searchInitiated\0"
-    "\0text\0modified\0startSearch\0startTimer\0"
-    "stopTimer\0on_timeout\0on_returnPressed\0"
-    "Qt::KeyboardModifiers\0modifiers"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__SearchLineEdit[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -1011,27 +809,24 @@
        2,       // signalCount
 
- // signals: name, argc, parameters, tag, flags
-       1,    2,   49,    2, 0x06 /* Public */,
-       1,    1,   54,    2, 0x26 /* Public | MethodCloned */,
-
- // slots: name, argc, parameters, tag, flags
-       5,    0,   57,    2, 0x0a /* Public */,
-       6,    0,   58,    2, 0x0a /* Public */,
-       7,    0,   59,    2, 0x0a /* Public */,
-       8,    0,   60,    2, 0x09 /* Protected */,
-       9,    1,   61,    2, 0x09 /* Protected */,
-
- // signals: parameters
-    QMetaType::Void, QMetaType::QString, QMetaType::Bool,    3,    4,
-    QMetaType::Void, QMetaType::QString,    3,
-
- // slots: parameters
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, 0x80000000 | 10,   11,
-
-       0        // eod
+ // signals: signature, parameters, type, tag, flags
+      40,   26,   25,   25, 0x05,
+      75,   70,   25,   25, 0x25,
+
+ // slots: signature, parameters, type, tag, flags
+     100,   25,   25,   25, 0x0a,
+     114,   25,   25,   25, 0x0a,
+     127,   25,   25,   25, 0x0a,
+     139,   25,   25,   25, 0x09,
+     162,  152,   25,   25, 0x09,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__SearchLineEdit[] = {
+    "qpdfview::SearchLineEdit\0\0text,modified\0"
+    "searchInitiated(QString,bool)\0text\0"
+    "searchInitiated(QString)\0startSearch()\0"
+    "startTimer()\0stopTimer()\0on_timeout()\0"
+    "modifiers\0on_returnPressed(Qt::KeyboardModifiers)\0"
 };
 
@@ -1039,6 +834,6 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         SearchLineEdit *_t = static_cast<SearchLineEdit *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->searchInitiated((*reinterpret_cast< const QString(*)>(_a[1])),(*reinterpret_cast< bool(*)>(_a[2]))); break;
@@ -1051,32 +846,29 @@
         default: ;
         }
-    } else if (_c == QMetaObject::IndexOfMethod) {
-        int *result = reinterpret_cast<int *>(_a[0]);
-        void **func = reinterpret_cast<void **>(_a[1]);
-        {
-            typedef void (SearchLineEdit::*_t)(const QString & , bool );
-            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&SearchLineEdit::searchInitiated)) {
-                *result = 0;
-                return;
-            }
-        }
-    }
-}
+    }
+}
+
+const QMetaObjectExtraData qpdfview::SearchLineEdit::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
 
 const QMetaObject qpdfview::SearchLineEdit::staticMetaObject = {
-    { &ProgressLineEdit::staticMetaObject, qt_meta_stringdata_qpdfview__SearchLineEdit.data,
-      qt_meta_data_qpdfview__SearchLineEdit,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
-};
-
+    { &ProgressLineEdit::staticMetaObject, qt_meta_stringdata_qpdfview__SearchLineEdit,
+      qt_meta_data_qpdfview__SearchLineEdit, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::SearchLineEdit::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::SearchLineEdit::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::SearchLineEdit::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SearchLineEdit.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SearchLineEdit))
         return static_cast<void*>(const_cast< SearchLineEdit*>(this));
     return ProgressLineEdit::qt_metacast(_clname);
@@ -1092,8 +884,4 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 7;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 7)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 7;
     }
     return _id;
@@ -1103,5 +891,5 @@
 void qpdfview::SearchLineEdit::searchInitiated(const QString & _t1, bool _t2)
 {
-    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)) };
+    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)) };
     QMetaObject::activate(this, &staticMetaObject, 0, _a);
 }
